Library_Epam/Controllers/CommentsController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Library_Epam.TestData;

namespace Library_Epam.Controllers
{
    public class CommentsController : Controller
    {
        // GET: Comments
        [HttpGet]
        public ActionResult Index()
        {
            ViewBag.Comments = TestData.Data.Comments;
            return View();
        }

        [HttpPost]
        public ActionResult Index(string Name, string Text)
        {
            TestData.Data.Comments.Add(new Comment()
            {
                Author = Name,
                Text = Text,
                Date = DateTime.Now,
            });
           
            return RedirectToAction("Index");
        }
    }
}

Library_Epam/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Library_Epam.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View(TestData.Data.Articles);
        }

        //public ActionResult About()
        //{
        //    ViewBag.Message = "Your application description page.";

        //    return View();
        //}

        //public ActionResult Contact()
        //{
        //    ViewBag.Message = "Your contact page.";

        //    return View();
        //}
    }
}

Library_Epam/Controllers/QuestionaryController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Remoting.Metadata.W3cXsd2001;
using System.Web;
using System.Web.Mvc;
using System.Web.UI.WebControls;

namespace Library_Epam.Controllers
{
    public class QuestionaryController : Controller
    {
        // GET: Questionary
        [HttpGet]
        public ActionResult Index()
        {
            ViewBag.Colors = new string[]
            {
                "Green", "Blue", "Red"
            };
            ViewBag.Characters = new[]
            {
                "Storm", "Wolwerine", "Cyclopus", "Tick",
            };
            return View();
        }


        [HttpPost]
        public ActionResult Index(string Sex, string SuperFluous, string Colors, bool One, bool Two, bool Three)
        {


            return RedirectToAction("Result", new { sex = Sex, character = SuperFluous, color = Colors, n1 = One, n2 = Two, n3 = Three });
        }

        public ActionResult Result(string sex, string character, string color, bool n1, bool n2, bool n3)
        {
            List<string> oddNumbers = new List<string>();

            if (n1)
                oddNumbers.Add("One");
            if (n2)
                oddNumbers.Add("Two");
            if (n3)
                oddNumbers.Add("Three");


            ViewBag.OddNumbers = oddNumbers;
            ViewBag.Sex = sex;
            ViewBag.Character = character;
            ViewBag.Color = color;
            return View();
        }
    }
}

Library_Epam/Controllers/TestController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Library_Epam.Controllers
{
    public class TestController : Controller
    {
        // GET: Test
        public ActionResult Index()
        {
            return View();
        }
    }
}

Library_Epam/Views/Comments/Index.cshtml
@using (Html.BeginForm())
{

    <div class="form-group ">
        <label class="mb-1">Name</label>
        <input type="text" name="Name" class="form-control mb-1" placeholder="Enter your name">
    </div>
    <div class="form-group">
        <label class="mb-1">Text</label>
        <input type="text" name="Text" class="form-control mb-3" placeholder="Enter text">
    </div>
    <button type="submit" class="btn btn-primary">Submit</button>

}






@foreach (var comment in ViewBag.Comments)
{
    <div class="pt-3 px-4 mb-4">
        <div class="d-flex">
            <b class="me-4">@comment.Author</b>
            <p>@comment.Date.ToString("d")</p>
        </div>
        <p>@comment.Text</p>
        <hr>
    </div>
}

Library_Epam/Views/Home/About.cshtml
@{
    ViewBag.Title = "About";
}
<h2>@ViewBag.Title.</h2>
<h3>@ViewBag.Message</h3>

<p>Use this area to provide additional information.</p>

Library_Epam/Views/Home/Contact.cshtml
@{
    ViewBag.Title = "Contact";
}
<h2>@ViewBag.Title.</h2>
<h3>@ViewBag.Message</h3>

<address>
    One Microsoft Way<br />
    Redmond, WA 98052-6399<br />
    <abbr title="Phone">P:</abbr>
    425.555.0100
</address>

<address>
    <strong>Support:</strong>   <a href="mailto:Support@example.com">Support@example.com</a><br />
    <strong>Marketing:</strong> <a href="mailto:Marketing@example.com">Marketing@example.com</a>
</address>

Library_Epam/Views/Home/Index.cshtml
@{
    ViewBag.Title = "Home Page";
}
@using System.Globalization
@model IEnumerable<Library_Epam.TestData.Article>

@foreach (var article in Model)
{
<div class="card pt-3 px-4 mb-2">
 
        <div class="card-body  d-flex flex-column">

            <h5 class="card-title">@article.Title</h5>
            <p class="card-text">@article.Text</p>
            <div class="d-flex justify-content-end ">
                <p href="#" class="me-3">@article.Author</p>
                <p href="#" class="me-3">@article.Date.ToString("MM/dd/yyyy")</p>
            </div>


        </div>
  
</div>
}

Library_Epam/Views/Questionary/Index.cshtml
<h3 class="mb-4">Please fill the form below</h3>
@using (Html.BeginForm())
{

    <dl class="row">
        <dt class="col-sm-5">What's your favorite color?</dt>
        <dd class="col-sm-7">
            @Html.DropDownList("Colors", new SelectList(ViewBag.Colors))
        </dd>
        <dd class="mb-2"></dd>

        <dt class="col-sm-5">Your sex?</dt>
        <dd class="col-sm-7">
            @Html.RadioButton("Sex", "Male")
            <span>Male</span><br />
            @Html.RadioButton("Sex", "Female")
            <span>Female</span><br />
            @Html.RadioButton("Sex", "Non-ninary")
            <span>Non-binary person</span><br/>
        </dd>

        <dt class="col-sm-5">
            Who is superfluous on the list?
            @ListHelper.CreateList(ViewBag.Characters)
        </dt>
        <dd class="col-sm-7">
            <label class="mb-1">Enter your answer</label><br/>
            @Html.TextBox("SuperFluous")
        </dd>

        <dt class="col-sm-5">Select odd numbers</dt>
        <dd class="col-sm-7">
            @Html.CheckBox("One", false)
            <span>1</span>
            @Html.CheckBox("Two", false)
            <span>2</span>
            @Html.CheckBox("Three", false)
            <span>3</span>
        </dd>


        <dt class="col-sm-5"></dt>
        <dd class="col-sm-7">

            <input type="submit" class="btn btn-primary" value="Submit" />

        </dd>



    </dl>
    
}

Library_Epam/Views/Questionary/Result.cshtml
@{
    ViewBag.Title = "Result";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h3 class="mb-4">Results</h3>


<dl class="row">
    <dt class="col-sm-5">Favorite color</dt>
    <dd class="col-sm-7">

       @ViewBag.Color

    </dd>
    <dd class="mb-2"></dd>

    <dt class="col-sm-5">Sex</dt>
    <dd class="col-sm-7">
     @ViewBag.Sex

    </dd>

    <dt class="col-sm-5">
        Superfluous character
    </dt>
    <dd class="col-sm-7">

        @ViewBag.Character

    </dd>



    <dt class="col-sm-5">Odd</dt>
    <dd class="col-sm-7">
        @ListHelper.CreateList(ViewBag.OddNumbers)
    </dd>



    <dt class="col-sm-5"></dt>
    <dd class="col-sm-7">

        <a href="@Url.Action("Index", "Questionary")" class="btn btn-primary">Return</a>

    </dd>



</dl>

Library_Epam/Views/Shared/Partial/Footer.cshtml
<footer class="p-4 my-5 text-center text-muted border-top">
    Kobetskyi Kostiantyn | k.kobetskoy@outlook.com  | © 2021
</footer>

Library_Epam/Views/Shared/Partial/Header.cshtml
<header class="d-flex align-items-center  m-4">
    <a href="#" class="d-flex align-items-center text-dark text-decoration-none">
        <img src="~/Content/img/logo.jpg" alt="logo" height="40px">
        <span class="fs-4 px-4">Mountain Books</span>
    </a>
</header>

Library_Epam/Views/Shared/Partial/Menu.cshtml
<div class="col-md-3 bg-light">
    <div class="d-flex flex-column flex-shrink-0 py-4 bg-light">
        <ul class="nav nav-pills flex-column mb-auto">
            <li class="nav-item">
                <a href="@(Url.Action("Index", "Home"))" class="nav-link">
                    Home
                </a>
            </li>
            <li>
                <a href="@(Url.Action("Index", "Comments"))" class="nav-link">
                    Comments
                </a>
            </li>
            <li>
                <a href="@(Url.Action("Index", "Questionary"))" class="nav-link">
                    Questionary
                </a>
            </li>
        </ul>
    </div>
</div>

Library_Epam/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title </title>
    <link href="~/Content/bootstrap/css/bootstrap.css" rel="stylesheet" />
</head>
<body>

    @Html.Partial("Partial/Header")


    <div class="col-lg-8 mx-auto p-3">
        <main>
            <div class="row g-5">
                @Html.Partial("Partial/Menu")

                <div class="col-md-9">
                    @RenderBody()
                </div>
            </div>
        </main>
    </div>





    

    @Html.Partial("Partial/Footer")


    @*<div class="navbar navbar-inverse navbar-fixed-top">
            <div class="container">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                    @Html.ActionLink("Application name", "Index", "Home", new { area = "" }, new { @class = "navbar-brand" })
                </div>
                <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <li>@Html.ActionLink("Home", "Index", "Home")</li>
                            <li>@Html.ActionLink("About", "About", "Home")</li>
                            <li>@Html.ActionLink("Contact", "Contact", "Home")</li>
                        </ul>
                    </div>
            </div>
        </div>
        <div class="container body-content">

            <hr />
            <footer>
                <p>&copy; @DateTime.Now.Year - My ASP.NET Application</p>
            </footer>
        </div>*@

    @*@Scripts.Render("~/bundles/jquery")
        @Scripts.Render("~/bundles/bootstrap")
        @RenderSection("scripts", required: false)*@
</body>
</html>

Library_Epam/Views/Test/Index.cshtml
@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Index</h2>